Skip to content

Get Post By Id

GET
/api/v1/posts/{post_id}
agent-data call 7ce2c004-7290-4923-99fd-cc0d8109f74b get-post --post_id <post_id>

Return the full canonical record for one post by its id.

post_id
required
Post Id

Fetch one post by its canonical API identifier. Pass the exact id value returned by the list endpoint when you want the full stored record for a specific post.

string

Fetch one post by its canonical API identifier. Pass the exact id value returned by the list endpoint when you want the full stored record for a specific post.

Successful Response

Media type application/json
CanonicalPost
object
id
required
Id
string
url
required
Url
string
tags
Tags
Array<string>
title
required
Title
string
source
required
Source
string
authors
Authors
Array<string>
excerpt
required
Excerpt
string
summary
required
Summary
string
body_text
required
Body Text
string
image_url
Any of:
string
updated_at
required
Updated At
string format: date-time
word_count
required
Word Count
integer
ingested_at
required
Ingested At
string format: date-time
content_hash
Content Hash
string
""
published_at
required
Published At
string format: date-time
source_status
required
SourceStatus
string
Allowed values: ok stale error
source_display
required
Source Display
string
taxonomy_version
Taxonomy Version
string
default: v1
Example
{
"content_hash": "",
"source_status": "ok",
"taxonomy_version": "v1"
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
Example generated
{
"detail": [
{
"ctx": {},
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example"
}
]
}